net/librsync - The NetBSD Packages Collection

Rsync-like rolling checksum library

Librsync is a library for calculating and applying network deltas,
with an interface designed to ease integration into diverse network
applications.  Librsync encapsulates the core algorithms of the rsync
protocol, which help with efficient calculation of the differences
between two files.  The rsync algorithm is different from most
differencing algorithms because it does not require the presence of
the two files to calculate the delta.  Instead, it requires a set of
checksums of each block of one file, which together form a signature
for that file.  Blocks at any point in the other file which have the
same checksum are likely to be identical, and whatever remains is the
difference.

Build dependencies

pkgtools/cwrappers devel/cmake lang/perl5

Runtime dependencies

devel/popt devel/popt

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibrsync-2.0.0nb4.tgz
NetBSD 8.0earmv7hflibrsync-2.0.0nb4.tgz
NetBSD 8.0earmv7hflibrsync-2.3.1.tgz
NetBSD 8.0i386librsync-2.0.0nb4.tgz
NetBSD 8.0i386librsync-2.0.0nb4.tgz
NetBSD 8.0i386librsync-2.3.1.tgz
NetBSD 8.0powerpclibrsync-2.0.0nb4.tgz
NetBSD 8.0powerpclibrsync-2.3.1.tgz
NetBSD 8.0powerpclibrsync-2.0.0nb4.tgz
NetBSD 8.0powerpclibrsync-2.3.1.tgz
NetBSD 8.0x86_64librsync-2.3.1.tgz
NetBSD 8.0x86_64librsync-2.0.0nb4.tgz
NetBSD 8.0x86_64librsync-2.0.0nb4.tgz
NetBSD 9.0aarch64librsync-2.0.0nb4.tgz
NetBSD 9.0aarch64librsync-2.0.0nb4.tgz
NetBSD 9.0alphalibrsync-2.3.1.tgz
NetBSD 9.0alphalibrsync-2.0.0nb4.tgz
NetBSD 9.0alphalibrsync-2.0.0nb4.tgz
NetBSD 9.0earmlibrsync-2.0.0nb4.tgz
NetBSD 9.0earmlibrsync-2.0.0nb4.tgz
NetBSD 9.0earmlibrsync-2.3.1.tgz
NetBSD 9.0earmv6hflibrsync-2.3.1.tgz
NetBSD 9.0earmv6hflibrsync-2.0.0nb4.tgz
NetBSD 9.0earmv6hflibrsync-2.0.0nb4.tgz
NetBSD 9.0earmv6hflibrsync-2.0.0nb4.tgz
NetBSD 9.0earmv7hflibrsync-2.3.1.tgz
NetBSD 9.0earmv7hflibrsync-2.0.0nb4.tgz
NetBSD 9.0earmv7hflibrsync-2.0.0nb4.tgz
NetBSD 9.0earmv7hflibrsync-2.0.0nb4.tgz
NetBSD 9.0earmv7hflibrsync-2.3.1.tgz
NetBSD 9.0i386librsync-2.0.0nb4.tgz
NetBSD 9.0i386librsync-2.0.0nb4.tgz
NetBSD 9.0i386librsync-2.3.1.tgz
NetBSD 9.0mips64eblibrsync-2.3.1.tgz
NetBSD 9.0mips64eblibrsync-2.0.0nb4.tgz
NetBSD 9.0mips64eblibrsync-2.0.0nb4.tgz
NetBSD 9.0mipsellibrsync-2.3.1.tgz
NetBSD 9.0powerpclibrsync-2.0.0nb4.tgz
NetBSD 9.0powerpclibrsync-2.0.0nb4.tgz
NetBSD 9.0powerpclibrsync-2.3.1.tgz
NetBSD 9.0powerpclibrsync-2.3.1.tgz
NetBSD 9.0sh3ellibrsync-2.0.0nb4.tgz
NetBSD 9.0sh3ellibrsync-2.3.1.tgz
NetBSD 9.0sparc64librsync-2.3.1.tgz
NetBSD 9.0sparc64librsync-2.0.0nb3.tgz
NetBSD 9.0sparc64librsync-2.0.0nb4.tgz
NetBSD 9.0sparc64librsync-2.0.0nb4.tgz
NetBSD 9.0sparclibrsync-2.3.1.tgz
NetBSD 9.0sparclibrsync-2.0.0nb4.tgz
NetBSD 9.0sparclibrsync-2.0.0nb4.tgz
NetBSD 9.0x86_64librsync-2.0.0nb4.tgz
NetBSD 9.0x86_64librsync-2.0.0nb4.tgz
NetBSD 9.0x86_64librsync-2.3.1.tgz
NetBSD 9.0x86_64librsync-2.3.1.tgz
NetBSD 9.0x86_64librsync-2.0.0nb4.tgz
NetBSD 9.0x86_64librsync-2.0.0nb4.tgz
NetBSD 9.0x86_64librsync-2.3.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.